<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmRefreshFlag Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmRefreshFlag Enumeration

Visual Basic
C#
C++/CLI
Flags that cause SOLIDWORKS PDM Professional to refresh elements of the user interface. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmRefreshFlag
       Inherits System.Enum

C# |
--- | ---

    public enum EdmRefreshFlag : System.Enum

C++/CLI |
--- | ---

    public enum class EdmRefreshFlag : public System.Enum

# Members

Member | Description
--- | ---
EdmRefresh_FileList | 1 = Refresh the file listing in File Explorer; this value should be returned if you add, delete, rename, check out, check in, etc., a file and want the change to be immediately visible to the user
EdmRefresh_Hooks | 2 = Force reloading of hooks; this value is normally only returned if your add-in changes the number of registered hooks
EdmRefresh_Menu | 4 = Force an update of the Tools menu in the File Explorer; this value is normally only returned if your add-in changes the number of registered menu commands
EdmRefresh_Nothing | 0 = No refresh is required
EdmRefresh_Toolbar | 8 = Force an update of the toolbar in File Explorer; this value is normally only returned if your add-in changes the number of registered menu commands with toolbar buttons

# Remarks

You can return a combination of these flags from your add-in's IEdmAddIn5::OnCmd via the EdmCmd struct to cause SOLIDWORKS PDM Professional to refresh certain parts of the user interface.

# See Also

####

EPDM.Interop.epdm Namespace
EdmCmd::mlEdmRefreshFlags Field